> For the complete documentation index, see [llms.txt](https://developers.publicmint.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.publicmint.io/api/reference.md).

# API Reference

Our APIs follow the [REST architecture](https://en.wikipedia.org/wiki/Representational_state_transfer) and present an interface familiar to most developers, using standard HTTP verbs (mostly GET, POST, PUT and DELETE) and responses.

Access to our public endpoints happens through an API gateway, where calls are [authorized and authenticated](/api/reference/authentication.md) before being routed to the requested resource.

In general, [errors](/api/reference/errors.md) return standard HTTP codes, sometimes followed by a message regarding any specific problem with the call when applicable.

You can check how to access resources via each of them in the corresponding pages.

For your reference, you can use the following Postman collection:

{% file src="/files/FWMb7foqbrIRqorWhTcl" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.publicmint.io/api/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
